ParseException (Grails 6.0.0)

Package: org.grails.web.json.parser

## [Java] Class ParseException

- org.grails.web.json.parser.ParseException

-     public class ParseException
      extends java.lang.Exception

  This exception is thrown when parse errors are encountered. You can explicitly create objects of this exception type by calling the method generateParseException in the generated parser. You can modify this class to customize your error reporting mechanisms so long as you retain the public fields.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `Token` | `currentToken` | This is the last token that has been consumed successfully.
    `protected java.lang.String` | `eol` | The end of line string for this machine.
    `int` | `expectedTokenSequences` | Each entry in this array is an array of integers.
    `private static long` | `serialVersionUID` |
    `protected boolean` | `specialConstructor` | This variable determines which constructor was used to create this object and thereby affects the semantics of the "getMessage" method (see below).
    `java.lang.String[]` | `tokenImage` | This is a reference to the "tokenImage" array of the generated parser within which the parse error occurred.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ParseException (Token currentTokenVal, int expectedTokenSequencesVal, java.lang.String[] tokenImageVal)` This constructor is used by the method "generateParseException" in the generated parser.
    `ParseException ()`
    `ParseException (java.lang.String message)` Constructor with message.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.lang.String` | `add_escapes(java.lang.String str)` Used to convert raw characters to their escaped version when these raw version cannot be used as part of an ASCII string literal.
    `` | `public java.lang.String` | `getMessage()` This method has the standard behavior when this object has been created using the standard constructors.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Exception` | `java.lang.Exception#printStackTrace(), java.lang.Exception#printStackTrace(java.io.PrintWriter), java.lang.Exception#printStackTrace(java.io.PrintStream), java.lang.Exception#fillInStackTrace(), java.lang.Exception#getCause(), java.lang.Exception#initCause(java.lang.Throwable), java.lang.Exception#toString(), java.lang.Exception#getMessage(), java.lang.Exception#getSuppressed(), java.lang.Exception#getLocalizedMessage(), java.lang.Exception#getStackTrace(), java.lang.Exception#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.Exception#addSuppressed(java.lang.Throwable), java.lang.Exception#wait(long), java.lang.Exception#wait(long, int), java.lang.Exception#wait(), java.lang.Exception#equals(java.lang.Object), java.lang.Exception#hashCode(), java.lang.Exception#getClass(), java.lang.Exception#notify(), java.lang.Exception#notifyAll()`

- - ### Field Detail

    - #### public Token currentToken

      This is the last token that has been consumed successfully. If this object has been created due to a parse error, the token followng this token will (therefore) be the first error token.

    - #### protected java.lang.String eol

      The end of line string for this machine.

    - #### public int expectedTokenSequences

      Each entry in this array is an array of integers. Each array of integers represents a sequence of tokens (by their ordinal values) that is expected at this point of the parse.

    - #### private static final long serialVersionUID

    - #### protected boolean specialConstructor

      This variable determines which constructor was used to create this object and thereby affects the semantics of the "getMessage" method (see below).

    - #### public java.lang.String[] tokenImage

      This is a reference to the "tokenImage" array of the generated parser within which the parse error occurred. This array is defined in the generated ...Constants interface.

  - ### Constructor Detail

    - #### public ParseException(Token currentTokenVal, int expectedTokenSequencesVal, java.lang.String[] tokenImageVal)

      This constructor is used by the method "generateParseException" in the generated parser. Calling this constructor generates a new object of this type with the fields "currentToken", "expectedTokenSequences", and "tokenImage" set. The boolean flag "specialConstructor" is also set to true to indicate that this constructor was used to create this object. This constructor calls its super class with the empty string to force the "toString" method of parent class "Throwable" to print the error message in the form: ParseException:

    - #### public ParseException()

    - #### public ParseException(java.lang.String message)

      Constructor with message.

  - ### Method Detail

    - #### protected java.lang.String add_escapes(java.lang.String str)

      Used to convert raw characters to their escaped version when these raw version cannot be used as part of an ASCII string literal.

    - #### @java.lang.Override public java.lang.String getMessage()

      This method has the standard behavior when this object has been created using the standard constructors. Otherwise, it uses "currentToken" and "expectedTokenSequences" to generate a parse error message and returns it. If this object has been created due to a parse error, and you do not catch it (it gets thrown from the parser), then this method is called during the printing of the final stack trace, and hence the correct error message gets displayed.